body {
  font-family: "Roboto", sans-serif;
  background-color: #f0f2f5;
  color: #333;
  line-height: 1.6;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  align-items: center;
}

hr {
  width: 50%;
  margin: 20px auto;
  border-top: 1px solid #ccc;
}

h1,
h2 {
  font-weight: 700;
}

p {
  font-weight: 400;
  color: #333;
  text-decoration: none;
}

a {
  font-weight: 400;
  color: #007bff;
  text-decoration: none;
}

a:hover {
  color: #0056b3;
}

.fas,
.fab {
  margin-right: 1px;
  color: inherit;
}

.icon-link {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 60px;
  height: 60px;
  border-radius: 50%;
  margin: 0 10px;
  color: #fff;
  font-size: 24px;
  transition: transform 0.3s ease;
}

.email-icon {
  background-color: #dd4b39;
}

.linkedin-icon {
  background-color: #0e76a8;
}
.github-icon {
  background-color: #333;
}

.hackerrank-icon {
  background-color: #2ec866;
}

.icon-link:hover {
  transform: scale(1.1);
  color: #fff;
}

header,
footer {
  background: linear-gradient(to right, #831bcd, #f9620b);
  color: #fff;
  padding: 40px 0;
  text-align: center;
  width: 100%;
}

section {
  padding: 20px;
  text-align: center;
  width: 80%;
  max-width: 800px;
}

img {
  width: 200px;
  height: 200px;
  border-radius: 50%;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
  object-fit: cover;
}

.skills-list {
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: 30px;
}

.skills-list li {
  list-style-type: none;
  background: #f0f2f5;
  padding: 10px 15px;
  border-radius: 5px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.certifications-list {
  list-style-type: none;
  padding: 0;
  margin: 0 auto;
  max-width: 800px;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 20px;
}

.certifications-list li {
  background: #f0f2f5;
  padding: 15px 20px;
  border-radius: 8px;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.1);
  text-align: left;
  font-weight: 500;
}

.internships-list {
  list-style-type: none;
  padding: 0;
  margin: 0 auto;
  max-width: 800px;
}

.internships-list li {
  background-color: #f0f2f5;
  padding: 15px 20px;
  margin-bottom: 15px;
  border-radius: 8px;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.1);
  text-align: left;
  font-weight: 500;
}

.achievements-table {
  width: 100%;
  border-collapse: collapse;
  margin: 0 auto;
  max-width: 900px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  font-size: 16px;
}

.achievements-table thead {
  background-color: #f2f2f2;
}

.achievements-table th,
.achievements-table td {
  padding: 12px 15px;
  text-align: left;
  border: 1px solid #ddd;
}

.achievements-table tr:nth-child(even) {
  background-color: #f9f9f9;
}

.achievements-table th {
  font-weight: 600;
  color: #333;
}

form {
  margin: 20px auto;
  padding: 20px;
  width: 100%;
  max-width: 500px;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
  background: #fff;
  box-sizing: border-box;
}

.form-group {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  margin-bottom: 15px;
}

.form-group label {
  margin-bottom: 5px;
}

form input[type="text"],
form input[type="email"],
form textarea,
form button {
  width: 90%;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
  margin: 5px 0; /* Ensures vertical spacing */
}

form button {
  background-image: linear-gradient(to right, #831bcd, #f9620b);
  color: #fff;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  font-size: 18px;
}

form button:hover {
  background-image: linear-gradient(to right, #f9620b, #831bcd);
}

@media only screen and (max-width: 768px) {
  .skills-list {
    flex-direction: column;
  }
}

@media only screen and (max-width: 480px) {
  header,
  footer {
    padding: 15px;
  }

  section,
  form {
    width: calc(100% - 20px);
    margin: 10px auto;
  }

  .icon-link {
    width: 40px;
    height: 40px;
    margin: 0 5px;
  }

  h1,
  h2 {
    font-size: 16px;
  }
}
